#594 TEI-C website menu points to wrong index page for Guidelines

AMBER
closed-fixed
Martin Holmes
None
5(default)
2014-01-24
2013-08-11
Martin Holmes
No

The TEI-C site menu, under Guidelines / P5 Guidelines / - Table of contents, points to the right place (index.html) EXCEPT when viewing the Guidelines themselves, in which case it points to the old index-toc.html. This should be a simple fix, but I'm raising a bug so I don't forget about it.

Related

Bugs: #594

Discussion

  • Martin Holmes
    Martin Holmes
    2013-08-11

    I've committed what I think is a fix for this, by editing P5/Utilities/staticnav.xml. I'd like to get Sebastian's confirmation that this is correct before closing the bug. I also think we should manually edit the bad link on the current release on the TEI-C site.

     
  • Martin Holmes
    Martin Holmes
    2013-08-11

    • assigned_to: Martin Holmes
     
  • So far as I recall, you are right...

    Carved in stone on my iPad

    On 11 Aug 2013, at 20:46, "Martin Holmes" martindholmes@users.sf.net<mailto:martindholmes@users.sf.net> wrote:

    I've committed what I think is a fix for this, by editing P5/Utilities/staticnav.xml. I'd like to get Sebastian's confirmation that this is correct before closing the bug. I also think we should manually edit the bad link on the current release on the TEI-C site.


    [bugs:#594]http://sourceforge.net/p/tei/bugs/594/ TEI-C website menu points to wrong index page for Guidelines

    Status: open
    Created: Sun Aug 11, 2013 06:33 PM UTC by Martin Holmes
    Last Updated: Sun Aug 11, 2013 06:33 PM UTC
    Owner: nobody

    The TEI-C site menu, under Guidelines / P5 Guidelines / - Table of contents, points to the right place (index.html) EXCEPT when viewing the Guidelines themselves, in which case it points to the old index-toc.html. This should be a simple fix, but I'm raising a bug so I don't forget about it.


    Sent from sourceforge.nethttp://sourceforge.net because you indicated interest in https://sourceforge.net/p/tei/bugs/594/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #594

  • Martin Holmes
    Martin Holmes
    2013-08-11

    Looking around, I notice that there's a note from Sebastian in the release notes from 2.1.0 which says:

    "pull navigation for website from live copy at tei-c.org instead of old staticnav.xml"

    which suggests that the navigation menu is now drawn from the tei-c site rather than staticnav.xml, but I can't see where that's actually happening or how.

     
  • Kevin Hawkins
    Kevin Hawkins
    2013-10-20

    As I recall, we added an ID to the place where we're pulling from so that we can reliably grab the code needed (rather than using an XPath that might break). Peaking at the HTML output, I see "udm" is used as both the value of @id and @class. So maybe search the build process for that string to find the place where Sebastian implemented what he mentioned in the 2.1.0 release notes?

     
  • if you grab teiwebsiteguidelines.zip from http://bits.nsms.ox.ac.uk:8080/jenkins/job/TEIP5/lastSuccessfulBuild/artifact/, the files look correct to me.

    The nav is worked out as follows:

    a) The P5 Makefile grabs the web site index page and cleans it up:

    curl -s http://www.tei-c.org/index.xml | sed 's/content="text\/html"/content="text\/html; charset=utf-8"/' | xmllint --html --noent --dropdtd --xmlout - > Utilities/teic-index.xml

    b) Utilities/guidelines.xsl.model opens that and grabs the bit it needs by ID:

    `<xsl:copy-of select="document('teic-index.xml')//html:ul[@id='udm']"/>`
    

    If you can see a flaw in this, shout.....

     
  • Martin Holmes
    Martin Holmes
    2013-10-21

    Sounds like the bug is just a one-off for the current release, so we should fix it on the TEI site, and the next release should be fine. I think that needs shell access to the server, though, which I don't have at the moment.

     
  • Kevin Hawkins
    Kevin Hawkins
    2013-10-21

    I don't have shell access either (David does), but since index-toc.html is already a <meta http-equiv="Refresh"> redirect to index.html, I think we're in an acceptable situation for now.

     
  • James Cummings
    James Cummings
    2013-11-10

    Does that mean this ticket is complete and can be closed?

     
  • Martin Holmes
    Martin Holmes
    2013-11-10

    I wish we could get the thing fixed on the site before we close it. It's not major, but it looks bad and will be around for some months yet. Who has shell access?

     
  • Martin Holmes
    Martin Holmes
    2013-12-12

    Nobody with shell access seems to want to fix this for the current release, so I'm leaving the ticket open so that we can check after the next release that the fix I implemented above actually works.

     
  • James Cummings
    James Cummings
    2013-12-12

    Martin: If you give me a bit of bash that will recurse down all the different directories and substitute index-toc.html for index.html I'll happily run it.
    (just too busy to make sure I figure it out without messing it up)

     
  • Martin Holmes
    Martin Holmes
    2014-01-24

    • status: open --> closed-fixed
     
  • Martin Holmes
    Martin Holmes
    2014-01-24

    Confirmed fixed in 2.6.0 release.